MDVA-31236: administradores não podem configurar 2FA ou fazer logon

O patch MDVA-31236 corrige o problema em que os usuários administradores do Commerce com acesso a recursos personalizados não podem configurar autenticação de dois fatores (2FA) ou faça logon. Este patch está disponível quando a variável Ferramenta de correções de qualidade (QPT) O 1.0.12 está instalado.

Produtos e versões afetados

O patch é criado para a versão do Adobe Commerce: Adobe Commerce na infraestrutura em nuvem 2.4.0.

Compatível com as versões do Adobe Commerce: Adobe Commerce no local e Adobe Commerce na infraestrutura em nuvem 2.4.0-2.4.1.

NOTE
O patch pode se tornar aplicável a outras versões com as novas versões da Ferramenta de patches de qualidade. Para verificar se o patch é compatível com sua versão do Adobe Commerce, atualize o magento/quality-patches pacote para a versão mais recente e verifique a compatibilidade no Quality Patches Tool: Página Procurar patches. Use a ID do patch como palavra-chave de pesquisa para localizar o patch.

Problema

Os usuários sem privilégios de administrador não podem configurar seu acesso pessoal ao 2FA no momento. O 2FA conforme implementado no Adobe Commerce inclui duas funções de ACL. Uma função afeta a configuração global do sistema e é necessária somente ao configurar o sistema. A segunda função da ACL afeta contas 2FA de usuário individuais. Um usuário administrador precisa configurar esse segundo tipo de ACL 2FA.

Aplicar o patch

Para aplicar patches individuais, use os links a seguir, dependendo do método de implantação:

Leitura relacionada

Para saber mais sobre a Ferramenta de correção de qualidade, consulte:

Para obter informações sobre outros patches disponíveis no QPT, consulte o Patches disponíveis no QPT seção.

recommendation-more-help
8bd06ef0-b3d5-4137-b74e-d7b00485808a